/*
 * Scratchbox Remote Shell
 * Copyright (c) 2003 Timo Savola <timo.savola@movial.fi>
 *
 * sbrsh is licensed under GPL.
 * You can read the full license at http://www.gnu.org/licenses/gpl.txt
 */

#ifndef COMMON_H
#define COMMON_H

/** Default port number. */
#define DEFAULT_PORT  1202

/** Maximum username length including the nul-terminator. */
#define USER_SIZE       16

/** Maximum password length including the nul-terminator. */
#define PWD_SIZE        16

/** Maximum hostname length including the nul-terminator. */
#define HOST_SIZE      256

extern int set_nonblocking(int fd);
extern int set_closeonexec(int fd);
extern char *get_progname(char *name);
extern void free_vec(void **vec);
extern int read_line(FILE *file, char *buf, int size);
extern char *skip_spaces(char *str);
extern char *find_space(char *str);
extern int split_string(char *line, ...);
extern int string_cat(char *buf, int bufsize, const char *piece, ...);

/** This is defined in client.c and daemon.c */
void error(const char *msg, ...);

#endif
